This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 699909 - [abrt] [doc export] lcl_getFieldId
[abrt] [doc export] lcl_getFieldId
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:9060eca0e96b1e9ad513bcc16a7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-26 18:02 EDT by Robin Green
Modified: 2011-06-15 01:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: libreoffice-3.3.2.2-10.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-15 01:35:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (26.55 KB, text/plain)
2011-04-26 18:02 EDT, Robin Green
no flags Details
File: environ (3.48 KB, text/plain)
2011-04-26 18:02 EDT, Robin Green
no flags Details
File: dsos (43.23 KB, text/plain)
2011-04-26 18:03 EDT, Robin Green
no flags Details
File: maps (45.38 KB, text/plain)
2011-04-26 18:03 EDT, Robin Green
no flags Details
File: backtrace (70.40 KB, text/plain)
2011-04-26 18:03 EDT, Robin Green
no flags Details
Reproducible test case (12.00 KB, application/msword)
2011-04-27 06:56 EDT, Robin Green
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 38071 None None None Never

  None (edit)
Description Robin Green 2011-04-26 18:02:52 EDT
abrt version: 2.0.1
comment: I tried to save a Word doc, a 6-page application form
uid: 500
executable: /usr/lib/libreoffice/program/swriter.bin
component: libreoffice
cmdline: /usr/lib/libreoffice/program/swriter.bin -writer file:///tmp/EN20110051RS%20Research%20Assistant,%20Associate.DOC
crash_function: lcl_getFieldId
kernel: 2.6.38.2-9.fc15.i686.PAE
package: libreoffice-writer-3.3.2.2-6.fc15
reason: Process /usr/lib/libreoffice/program/swriter.bin was killed by signal 11 (SIGSEGV)
architecture: i686
username: greenrd
os_release: Fedora release 15 (Lovelock)
time: 1303853237
rating: 4

Text file: event_log, 27183 bytes
Text file: environ, 3560 bytes
Binary file: coredump, 100188160 bytes
Text file: dsos, 44270 bytes
Text file: maps, 46468 bytes
Text file: backtrace, 72090 bytes
Comment 1 Robin Green 2011-04-26 18:02:56 EDT
Created attachment 495044 [details]
File: event_log
Comment 2 Robin Green 2011-04-26 18:02:59 EDT
Created attachment 495045 [details]
File: environ
Comment 3 Robin Green 2011-04-26 18:03:02 EDT
Created attachment 495046 [details]
File: dsos
Comment 4 Robin Green 2011-04-26 18:03:05 EDT
Created attachment 495048 [details]
File: maps
Comment 5 Robin Green 2011-04-26 18:03:09 EDT
Created attachment 495049 [details]
File: backtrace
Comment 6 David Tardon 2011-04-27 01:14:07 EDT
Could you attach the doc here? If it contains sensitive data, you can mail it to Caolan or to me.
Comment 7 Robin Green 2011-04-27 03:26:15 EDT
Unfortunately, the last-saved version of the doc, which doesn't contain all of the data I entered, does not cause Writer to crash when I re-save it. (Also, the last-saved version is "corrupted" - it has the word FORMTEXT prepended to the contents of every form field. Whether this is a result of an ordinary save in Writer, or a botched document recovery, I am not sure.)

I'll try to reproduce the crash by re-entering some of the lost data.
Comment 8 Robin Green 2011-04-27 06:56:49 EDT
Created attachment 495174 [details]
Reproducible test case

I don't know if this is the same crash, but there is a reproducible crash with this reduced test case. Simply go to the line below Foo, and press DEL to delete one character forward (i.e. the last visible whitespace in the form field). Then press CTRL+S to save.
Comment 9 Robin Green 2011-04-27 08:21:14 EDT
Bug also exists in LibreOffice 3.3.0 from http://download.documentfoundation.org/libreoffice/old/stable/3.3.0/rpm/x86/
Comment 10 Caolan McNamara 2011-06-08 06:10:55 EDT
Quick fix for the crash will be in >= 3.3.2.2-10. Thanks for the reproducible report.
Comment 11 Fedora Update System 2011-06-10 04:40:01 EDT
libreoffice-3.3.2.2-10.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.2.2-10.fc15
Comment 12 Fedora Update System 2011-06-11 00:31:52 EDT
Package libreoffice-3.3.2.2-10.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.3.2.2-10.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libreoffice-3.3.2.2-10.fc15
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2011-06-15 01:35:39 EDT
libreoffice-3.3.2.2-10.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.